<?php
namespace nur\v\bs3\fo;

use nur\v\v;

class ControlTextarea extends ControlVisualInput {
  function buildControl(): array {
    $name = $this->ppName;
    $value = $this->ppValue;
    return v::tag("textarea", [
      "id" => $this->ppId,
      "name" => $name,
      "readonly" => $this->ppReadonly? "readonly": false,
      "disabled" => $this->ppDisabled? "disabled": false,
      "required" => $this->ppRequired? "required": false,
      "placeholder" => $this->ppPlaceholder,
      "class" => ["form-control", $this->ppClass],
      "style" => $this->ppStyle,
      $this->ppAttrs,
      q($value),
    ]);
  }
}
